clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::JumpDest Struct Reference

A jump destination is an abstract label, branching to which may require a jump out through normal cleanups. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| JumpDest ()
| JumpDest (llvm::BasicBlock *Block, EHScopeStack::stable_iterator Depth, unsigned Index)
bool | isValid () const
llvm::BasicBlock * | getBlock () const
EHScopeStack::stable_iterator | getScopeDepth () const
unsigned | getDestIndex () const
void | setScopeDepth (EHScopeStack::stable_iterator depth)

## Detailed Description

A jump destination is an abstract label, branching to which may require a jump out through normal cleanups.

Definition at line 235 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ JumpDest() [1/2]

clang::CodeGen::CodeGenFunction::JumpDest::JumpDest | ( |  | ) |
| inline

Definition at line 236 of file CodeGenFunction.h.

## ◆ JumpDest() [2/2]

clang::CodeGen::CodeGenFunction::JumpDest::JumpDest | ( | llvm::BasicBlock * | Block,
|  | EHScopeStack::stable_iterator | Depth,
|  | unsigned | Index
| ) |  |
| inline

Definition at line 237 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ getBlock()

llvm::BasicBlock* clang::CodeGen::CodeGenFunction::JumpDest::getBlock | ( |  | ) | const
| inline

Definition at line 243 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitLabel(), clang::CodeGen::CodeGenFunction::EmitOMPInnerLoop(), clang::CodeGen::CodeGenFunction::EmitOMPLoopBody(), clang::CodeGen::CodeGenFunction::EmitReturnBlock(), clang::CodeGen::CodeGenFunction::FinishFunction(), and clang::CodeGen::CodeGenFunction::GetAddrOfLabel().

## ◆ getDestIndex()

unsigned clang::CodeGen::CodeGenFunction::JumpDest::getDestIndex | ( |  | ) | const
| inline

Definition at line 245 of file CodeGenFunction.h.

## ◆ getScopeDepth()

EHScopeStack::stable_iterator clang::CodeGen::CodeGenFunction::JumpDest::getScopeDepth | ( |  | ) | const
| inline

Definition at line 244 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitBranchThroughCleanup(), clang::CodeGen::CodeGenFunction::EmitLabel(), and clang::CodeGen::CodeGenFunction::isObviouslyBranchWithoutCleanups().

## ◆ isValid()

bool clang::CodeGen::CodeGenFunction::JumpDest::isValid | ( |  | ) | const
| inline

Definition at line 242 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitLabel(), clang::CodeGen::CodeGenFunction::FinishFunction(), and clang::CodeGen::CodeGenFunction::getJumpDestForLabel().

## ◆ setScopeDepth()

void clang::CodeGen::CodeGenFunction::JumpDest::setScopeDepth | ( | EHScopeStack::stable_iterator | depth | ) |
| inline

Definition at line 248 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitLabel().

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenFunction.h